function man() {
    env GROFF_NO_SGR=1 \
        LESS_TERMCAP_mb=$'\e[01;31m' \
        LESS_TERMCAP_md=$'\e[01;31m' \
        LESS_TERMCAP_me=$'\e[00m' \
        LESS_TERMCAP_so=$'\e[01;33m\e[44m' \
        LESS_TERMCAP_se=$'\e[00m' \
        LESS_TERMCAP_us=$'\e[01;32m' \
        LESS_TERMCAP_ue=$'\e[00m' \
    man "$@"
}

. /usr/share/git/git-prompt.sh
GIT_PS1_SHOWDIRTYSTATE=1
GIT_PS1_SHOWCOLORHINTS=1

#shellcheck disable=SC2034
VIRTUAL_ENV_DISABLE_PROMPT=1

PROMPT_COMMAND=precmd
function precmd() {
    local ctx err="${PIPESTATUS[*]}"

    ctx="$(kctx)"

    # shellcheck disable=SC2086
    unset ${!PROMPT_P*}
    [ -n "$VIRTUAL_ENV" ] && PROMPT_PVENV="${VIRTUAL_ENV%/*}" && PROMPT_PVENV="${PROMPT_PVENV##*/}"$'\n'
    [ -n "$ctx" ]         && PROMPT_PK8S="$ctx/$(kns) "
    [[ "$err" =~ [1-9] ]] && PROMPT_PERR="${err// /|} "
}
PS1='\[\e[00;38;5;37m\]$PROMPT_PVENV\[\e[38;5;134m\]$PROMPT_PK8S\[\e[00m\]$(__git_ps1 "%s ")\[\e[01;38;5;32m\]\w\[\e[00m\] \[\e[38;5;160m\]$PROMPT_PERR${_[\j<1]+\[\e[38;5;71m\]\j }\[\e[00m\]'
